﻿Imports ThinkGeo.MapSuite.Core
Imports System.Windows.Forms
Imports System.IO
<Serializable()> _
Public Class CoordinateSystemInfo
   Private msProj4ParameterString As String = String.Empty
   Private msName As String = String.Empty
   Public Property IsProjected As Boolean = False
   Public Property IsCustom As Boolean = False
   Public Property SRID As Integer = -1
   Public Property DistanceUnits As GeographyUnit
   Private msSqlConnectionString As String = String.Empty
   Public Sub New(ByVal iSRID As Integer)
      SRID = iSRID
   End Sub
   Public Sub New(Optional ByVal oCoordSysInfo As CoordinateSystemInfo = Nothing)

      If Not oCoordSysInfo Is Nothing Then
         With oCoordSysInfo
            msProj4ParameterString = .ParameterString
            msName = .msName
            IsProjected = .IsProjected
            IsCustom = .IsCustom
            SRID = .SRID
            DistanceUnits = .DistanceUnits
            msSqlConnectionString = .msSqlConnectionString
         End With
      End If

   End Sub

   Public Property Name As String
      Get
         Return msName
      End Get
      Set(ByVal value As String)
         msName = value.Replace("_", " ")
      End Set
   End Property
   Public Property ParameterString As String
      Get
         If msProj4ParameterString Is Nothing Then
            msProj4ParameterString = String.Empty
         End If
         Return msProj4ParameterString
      End Get
      Set(ByVal value As String)
         msProj4ParameterString = value
      End Set
   End Property
   Public ReadOnly Property SuccessfullyInitialized As Boolean
      Get
         Return (SRID <> -1)
      End Get
   End Property
End Class
