﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition
<Serializable()>
Public Class NamedView
   Private msName As String = String.Empty
   Private moCoordSysInfo As CoordinateSystemInfo
   Private moBoundinBox As RectangleShape
   Private mbIsDefault As Boolean = False
   Public Sub New(ByVal oCoordSysInfo As CoordinateSystemInfo, oBoundingBox As RectangleShape, ByVal sName As String)
      moCoordSysInfo = oCoordSysInfo
      msName = sName
      moBoundinBox = oBoundingBox
   End Sub
   Public Property Name As String
      Get
         Return msName
      End Get
      Set(ByVal value As String)
         msName = value
      End Set
   End Property
   Public Property BoundingBox(ByVal oCurrentCoordSys As CoordinateSystemInfo) As RectangleShape
      Get
         If moCoordSysInfo.SRID = oCurrentCoordSys.SRID Then
            Return moBoundinBox
         Else
            Dim oProj4 As New ManagedProj4Projection(moCoordSysInfo.ParameterString, oCurrentCoordSys.ParameterString)
            oProj4.Open()
            Return oProj4.ConvertToExternalProjection(moBoundinBox)
         End If
      End Get
      Set(ByVal value As RectangleShape)
         moBoundinBox = value
      End Set
   End Property
   Public Property IsDefault As Boolean
      Get
         Return mbIsDefault
      End Get
      Set(ByVal value As Boolean)
         mbIsDefault = value
      End Set
   End Property
End Class
